#pragma once

#include "image.h"
#include "settings.h"

struct game {
	game();

	void run();
	virtual void init(settings& settings);
	virtual void render(image& target);
	virtual void update();
protected:
	vec2i const& mouse_pos() const;
	void cursor(image const* cursor);
private:
	vec2i _mouse_pos;
	image const* _cursor;

};
